cURL
curl --request POST \
--url https://api.apps.paloaltonetworks.com/ai_gw/v2/providers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"integration_id": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"note": "<string>",
"usage_limits": {
"credit_limit": 2,
"alert_threshold": 2,
"periodic_reset_days": 183,
"next_usage_reset_at": "2023-11-07T05:31:56Z"
},
"rate_limits": {
"value": 123
},
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.apps.paloaltonetworks.com/ai_gw/v2/providers"
payload = {
"name": "<string>",
"integration_id": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"note": "<string>",
"usage_limits": {
"credit_limit": 2,
"alert_threshold": 2,
"periodic_reset_days": 183,
"next_usage_reset_at": "2023-11-07T05:31:56Z"
},
"rate_limits": { "value": 123 },
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
integration_id: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
slug: '<string>',
note: '<string>',
usage_limits: {
credit_limit: 2,
alert_threshold: 2,
periodic_reset_days: 183,
next_usage_reset_at: '2023-11-07T05:31:56Z'
},
rate_limits: {value: 123},
expires_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.apps.paloaltonetworks.com/ai_gw/v2/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"slug": "<string>"
}Post providers
POST
/
providers
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on September 18, 2026
Was this page helpful?

